#ifndef __SOURCE4_RPC_SERVER_COMMON_SID_HELPER_H__
#define __SOURCE4_RPC_SERVER_COMMON_SID_HELPER_H__

#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2) PRINTF_ATTRIBUTE(a1, a2)
/* This file was automatically generated by mkproto.pl. DO NOT EDIT */

/* this file contains prototypes for functions that are private 
 * to this subsystem or library. These functions should not be 
 * used outside this particular subsystem! */


/* The following definitions come from ../../source4/rpc_server/common/sid_helper.c  */

bool sid_list_match(const struct dom_sid **list1, const struct dom_sid **list2);
WERROR samdb_result_sid_array_ndr(struct ldb_context *sam_ctx,
				  struct ldb_message *msg,
				  TALLOC_CTX *mem_ctx,
				  const char *attr,
					 const struct dom_sid ***sids,
					 const struct dom_sid **additional_sids,
					 unsigned int num_additional);
WERROR samdb_result_sid_array_dn(struct ldb_context *sam_ctx,
				 struct ldb_message *msg,
				 TALLOC_CTX *mem_ctx,
				 const char *attr,
				 const struct dom_sid ***sids);
#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2)

#endif /* __SOURCE4_RPC_SERVER_COMMON_SID_HELPER_H__ */

